Index: branches/2.0/expressoMail1_2/offline.php
===================================================================
--- branches/2.0/expressoMail1_2/offline.php	(revision 2592)
+++ branches/2.0/expressoMail1_2/offline.php	(revision 2596)
@@ -41,5 +41,5 @@
 				var account_id = null;
 				var expresso_offline = true;
-				var template = 'azul';
+				var template = 'default';
 		  </script>";
 	echo "<script src='js/globals.js?".$update_version."' type='text/javascript'></script>";
@@ -106,5 +106,5 @@
 	$template->set_var("user_email",$_SESSION['phpgw_info']['expressomail']['user']['email']);
 	$template->set_var("logoff",lang("Logoff"));
-	$template->set_var("template",'azul');
+	$template->set_var("template",'default');
 	
 	$acc = CreateObject('phpgwapi.accounts');
Index: branches/2.0/expressoMail1_2/js/manifest
===================================================================
--- branches/2.0/expressoMail1_2/js/manifest	(revision 2592)
+++ branches/2.0/expressoMail1_2/js/manifest	(revision 2596)
@@ -57,5 +57,5 @@
 	  { "url": "../../phpgwapi/js/dftree/dftree.js?1.222" },
 	  
-	  { "url": "../templates/azul/main.css" },
+	  { "url": "../templates/default/main.css" },
 	  { "url": "../templates/default/main.css" },
 	  { "url": "../../phpgwapi/js/dftree/dftree.css" },
@@ -63,8 +63,8 @@
 	  { "url": "../../phpgwapi/images/win_min.gif" },	
 	  { "url": "../../phpgwapi/templates/celepar/images/logout.png" },
-	  { "url": "../../phpgwapi/templates/azul/images/folder_bg.png" },
-	  { "url": "../../phpgwapi/templates/azul/images/foldertree_folder.png" },
-	  { "url": "../../phpgwapi/templates/azul/images/foldertree_folderopen.png" },
-	  { "url": "../../phpgwapi/templates/azul/images/fundo_topo.png" },
+	  { "url": "../../phpgwapi/templates/default/images/folder_bg.png" },
+	  { "url": "../../phpgwapi/templates/default/images/foldertree_folder.png" },
+	  { "url": "../../phpgwapi/templates/default/images/foldertree_folderopen.png" },
+	  { "url": "../../phpgwapi/templates/default/images/fundo_topo.png" },
 
 
@@ -85,103 +85,103 @@
   	 
   	  
-	  { "url": "../../phpgwapi/templates/azul/css/azul.css" },
-	  { "url": "../../phpgwapi/templates/azul/js/simple_show_hide.js" },
-	  { "url": "../../phpgwapi/templates/azul/js/cookieManager.js" },
-	  { "url": "../../phpgwapi/templates/azul/images/bgBlockContent.jpg" },
+	  { "url": "../../phpgwapi/templates/default/css/azul.css" },
+	  { "url": "../../phpgwapi/templates/default/js/simple_show_hide.js" },
+	  { "url": "../../phpgwapi/templates/default/js/cookieManager.js" },
+	  { "url": "../../phpgwapi/templates/default/images/bgBlockContent.jpg" },
 
 
-	  { "url": "../templates/azul/images/menu/createmail.gif" },
-	  { "url": "../templates/azul/images/menu/checkmail.gif" },  
-	  { "url": "../templates/azul/images/menu/tools.gif" },
-   	  { "url": "../templates/azul/images/menu/preferences.png" },
-  	  { "url": "../templates/azul/images/menu/search.png" },
-  	  { "url": "../templates/azul/images/menu/acroread.png" },
-  	  { "url": "../templates/azul/images/menu/arrow.gif" },
-  	  { "url": "../templates/azul/images/menu/checkspell.gif" },
-  	  { "url": "../templates/azul/images/menu/createmail.gif" },
-  	  { "url": "../templates/azul/images/menu/delete.png" },
-  	  { "url": "../templates/azul/images/menu/deletemail.gif" },
-  	  { "url": "../templates/azul/images/menu/edit.gif" },
-  	  { "url": "../templates/azul/images/menu/editfolders.png" },
-  	  { "url": "../templates/azul/images/menu/export.gif" },
-  	  { "url": "../templates/azul/images/menu/filters.png" },
-  	  { "url": "../templates/azul/images/menu/folders.gif" },
-  	  { "url": "../templates/azul/images/menu/forward.gif" },
-  	  { "url": "../templates/azul/images/menu/ktip.png" },
-  	  { "url": "../templates/azul/images/menu/markas.gif" },
-  	  { "url": "../templates/azul/images/menu/moveto.gif" },
-  	  { "url": "../templates/azul/images/menu/people.png" },
-  	  { "url": "../templates/azul/images/menu/perform.gif" },
-  	  { "url": "../templates/azul/images/menu/preferences.png" },
-  	  { "url": "../templates/azul/images/menu/print.gif" },
-  	  { "url": "../templates/azul/images/menu/reply.gif" },
-  	  { "url": "../templates/azul/images/menu/save.gif" },
-  	  { "url": "../templates/azul/images/menu/search.png" },
-  	  { "url": "../templates/azul/images/menu/send.gif" },
-  	  { "url": "../templates/azul/images/menu/tools.gif" },
-  	  { "url": "../templates/azul/images/menu/trash.png" },
-  	  { "url": "../templates/azul/images/menu/usersfolders.png" },
-  	  { "url": "../templates/azul/images/menu/view_headers-24.gif" },
-  	  { "url": "../templates/azul/images/menu/view_raw-24.gif" },
+	  { "url": "../templates/default/images/menu/createmail.gif" },
+	  { "url": "../templates/default/images/menu/checkmail.gif" },  
+	  { "url": "../templates/default/images/menu/tools.gif" },
+   	  { "url": "../templates/default/images/menu/preferences.png" },
+  	  { "url": "../templates/default/images/menu/search.png" },
+  	  { "url": "../templates/default/images/menu/acroread.png" },
+  	  { "url": "../templates/default/images/menu/arrow.gif" },
+  	  { "url": "../templates/default/images/menu/checkspell.gif" },
+  	  { "url": "../templates/default/images/menu/createmail.gif" },
+  	  { "url": "../templates/default/images/menu/delete.png" },
+  	  { "url": "../templates/default/images/menu/deletemail.gif" },
+  	  { "url": "../templates/default/images/menu/edit.gif" },
+  	  { "url": "../templates/default/images/menu/editfolders.png" },
+  	  { "url": "../templates/default/images/menu/export.gif" },
+  	  { "url": "../templates/default/images/menu/filters.png" },
+  	  { "url": "../templates/default/images/menu/folders.gif" },
+  	  { "url": "../templates/default/images/menu/forward.gif" },
+  	  { "url": "../templates/default/images/menu/ktip.png" },
+  	  { "url": "../templates/default/images/menu/markas.gif" },
+  	  { "url": "../templates/default/images/menu/moveto.gif" },
+  	  { "url": "../templates/default/images/menu/people.png" },
+  	  { "url": "../templates/default/images/menu/perform.gif" },
+  	  { "url": "../templates/default/images/menu/preferences.png" },
+  	  { "url": "../templates/default/images/menu/print.gif" },
+  	  { "url": "../templates/default/images/menu/reply.gif" },
+  	  { "url": "../templates/default/images/menu/save.gif" },
+  	  { "url": "../templates/default/images/menu/search.png" },
+  	  { "url": "../templates/default/images/menu/send.gif" },
+  	  { "url": "../templates/default/images/menu/tools.gif" },
+  	  { "url": "../templates/default/images/menu/trash.png" },
+  	  { "url": "../templates/default/images/menu/usersfolders.png" },
+  	  { "url": "../templates/default/images/menu/view_headers-24.gif" },
+  	  { "url": "../templates/default/images/menu/view_raw-24.gif" },
   	  
-  	  { "url": "../templates/azul/images/filtro/answered.gif" },
-  	  { "url": "../templates/azul/images/filtro/filters.gif" },
-  	  { "url": "../templates/azul/images/filtro/group_close.gif" },
-  	  { "url": "../templates/azul/images/filtro/group_open.gif" },
+  	  { "url": "../templates/default/images/filtro/answered.gif" },
+  	  { "url": "../templates/default/images/filtro/filters.gif" },
+  	  { "url": "../templates/default/images/filtro/group_close.gif" },
+  	  { "url": "../templates/default/images/filtro/group_open.gif" },
   	  
-	  { "url": "../templates/azul/images/search.gif" },
-	  { "url": "../templates/azul/images/users.jpg" },
-	  { "url": "../templates/azul/images/arrow_descendant.gif" },
-	  { "url": "../templates/azul/images/arrow_ascendant.gif" },
-  	  { "url": "../templates/azul/images/answered.gif" },
-  	  { "url": "../templates/azul/images/clip.gif" },
-  	  { "url": "../templates/azul/images/card.gif" },
-  	  { "url": "../templates/azul/images/close_button.gif" },
-  	  { "url": "../templates/azul/images/deny.gif" },
-  	  { "url": "../templates/azul/images/down.button.png" },
-  	  { "url": "../templates/azul/images/draft.gif" },
-  	  { "url": "../templates/azul/images/envelope.png" },
-  	  { "url": "../templates/azul/images/forwarded.gif" },
-  	  { "url": "../templates/azul/images/bold.gif" },
-  	  { "url": "../templates/azul/images/dsalert.gif" },
-  	  { "url": "../templates/azul/images/dsunused.gif" },
-  	  { "url": "../templates/azul/images/dsused.gif" },
-  	  { "url": "../templates/azul/images/dswarn.gif" },
-  	  { "url": "../templates/azul/images/forecolor.gif" },
-  	  { "url": "../templates/azul/images/image.gif" },
-  	  { "url": "../templates/azul/images/indent.gif" },
-  	  { "url": "../templates/azul/images/insertorderedlist.gif" },
-  	  { "url": "../templates/azul/images/insertunorderedlist.gif" },
-  	  { "url": "../templates/azul/images/invalid.gif" },
-  	  { "url": "../templates/azul/images/italic.gif" },
-  	  { "url": "../templates/azul/images/justifycenter.gif" },
-  	  { "url": "../templates/azul/images/justifyfull.gif" },
-  	  { "url": "../templates/azul/images/justifyleft.gif" },
-  	  { "url": "../templates/azul/images/justifyright.gif" },
-  	  { "url": "../templates/azul/images/left.button.png" },
-  	  { "url": "../templates/azul/images/link.gif" },
-  	  { "url": "../templates/azul/images/minus.png" },
-  	  { "url": "../templates/azul/images/navbar.png" },
-  	  { "url": "../templates/azul/images/notification.gif" },
-  	  { "url": "../templates/azul/images/outdent.gif" },
-  	  { "url": "../templates/azul/images/important.gif" },
-  	  { "url": "../templates/azul/images/personal_catalog.png" },
-  	  { "url": "../templates/azul/images/phone.gif" },
-  	  { "url": "../templates/azul/images/photo.png" },
-  	  { "url": "../templates/azul/images/plus.png" },
-  	  { "url": "../templates/azul/images/redo.gif" },
-  	  { "url": "../templates/azul/images/right.button.png" },
-  	  { "url": "../templates/azul/images/search.gif" },
-  	  { "url": "../templates/azul/images/sent.gif" },
-  	  { "url": "../templates/azul/images/signature.gif" },
-  	  { "url": "../templates/azul/images/signed.gif" },
-  	  { "url": "../templates/azul/images/table.gif" },
-  	  { "url": "../templates/azul/images/underline.gif" },
-  	  { "url": "../templates/azul/images/undo.gif" },
-  	  { "url": "../templates/azul/images/up.button.png" },
-  	  { "url": "../templates/azul/images/user_card.png" },
-  	  { "url": "../templates/azul/images/filtro/telephone_voip.jpg" },
-  	  { "url": "../templates/azul/images/down.gray.button.png" },
-  	  { "url": "../templates/azul/images/up.gray.button.png" }
+	  { "url": "../templates/default/images/search.gif" },
+	  { "url": "../templates/default/images/users.jpg" },
+	  { "url": "../templates/default/images/arrow_descendant.gif" },
+	  { "url": "../templates/default/images/arrow_ascendant.gif" },
+  	  { "url": "../templates/default/images/answered.gif" },
+  	  { "url": "../templates/default/images/clip.gif" },
+  	  { "url": "../templates/default/images/card.gif" },
+  	  { "url": "../templates/default/images/close_button.gif" },
+  	  { "url": "../templates/default/images/deny.gif" },
+  	  { "url": "../templates/default/images/down.button.png" },
+  	  { "url": "../templates/default/images/draft.gif" },
+  	  { "url": "../templates/default/images/envelope.png" },
+  	  { "url": "../templates/default/images/forwarded.gif" },
+  	  { "url": "../templates/default/images/bold.gif" },
+  	  { "url": "../templates/default/images/dsalert.gif" },
+  	  { "url": "../templates/default/images/dsunused.gif" },
+  	  { "url": "../templates/default/images/dsused.gif" },
+  	  { "url": "../templates/default/images/dswarn.gif" },
+  	  { "url": "../templates/default/images/forecolor.gif" },
+  	  { "url": "../templates/default/images/image.gif" },
+  	  { "url": "../templates/default/images/indent.gif" },
+  	  { "url": "../templates/default/images/insertorderedlist.gif" },
+  	  { "url": "../templates/default/images/insertunorderedlist.gif" },
+  	  { "url": "../templates/default/images/invalid.gif" },
+  	  { "url": "../templates/default/images/italic.gif" },
+  	  { "url": "../templates/default/images/justifycenter.gif" },
+  	  { "url": "../templates/default/images/justifyfull.gif" },
+  	  { "url": "../templates/default/images/justifyleft.gif" },
+  	  { "url": "../templates/default/images/justifyright.gif" },
+  	  { "url": "../templates/default/images/left.button.png" },
+  	  { "url": "../templates/default/images/link.gif" },
+  	  { "url": "../templates/default/images/minus.png" },
+  	  { "url": "../templates/default/images/navbar.png" },
+  	  { "url": "../templates/default/images/notification.gif" },
+  	  { "url": "../templates/default/images/outdent.gif" },
+  	  { "url": "../templates/default/images/important.gif" },
+  	  { "url": "../templates/default/images/personal_catalog.png" },
+  	  { "url": "../templates/default/images/phone.gif" },
+  	  { "url": "../templates/default/images/photo.png" },
+  	  { "url": "../templates/default/images/plus.png" },
+  	  { "url": "../templates/default/images/redo.gif" },
+  	  { "url": "../templates/default/images/right.button.png" },
+  	  { "url": "../templates/default/images/search.gif" },
+  	  { "url": "../templates/default/images/sent.gif" },
+  	  { "url": "../templates/default/images/signature.gif" },
+  	  { "url": "../templates/default/images/signed.gif" },
+  	  { "url": "../templates/default/images/table.gif" },
+  	  { "url": "../templates/default/images/underline.gif" },
+  	  { "url": "../templates/default/images/undo.gif" },
+  	  { "url": "../templates/default/images/up.button.png" },
+  	  { "url": "../templates/default/images/user_card.png" },
+  	  { "url": "../templates/default/images/filtro/telephone_voip.jpg" },
+  	  { "url": "../templates/default/images/down.gray.button.png" },
+  	  { "url": "../templates/default/images/up.gray.button.png" }
   	  
     ]