Index: /sandbox/jabberit_messenger/trophy_expresso/inc/jabberit_acl.inc.php
===================================================================
--- /sandbox/jabberit_messenger/trophy_expresso/inc/jabberit_acl.inc.php	(revision 2437)
+++ /sandbox/jabberit_messenger/trophy_expresso/inc/jabberit_acl.inc.php	(revision 2607)
@@ -54,6 +54,6 @@
 		// User
 		$fullName	= $_SESSION['phpgw_info']['jabberit_messenger']['fullname'];
-		$userJabber	= $_SESSION['phpgw_info']['jabberit_messenger']['user_jabber']."@".$_SESSION['phpgw_info']['jabberit_messenger']['name_jabberit'];
-		$password	= $_SESSION['phpgw_info']['jabberit_messenger']['passwd'];
+		//$userJabber	= $_SESSION['phpgw_info']['jabberit_messenger']['user_jabber']."@".$_SESSION['phpgw_info']['jabberit_messenger']['name_jabberit'];
+		//$password	= $_SESSION['phpgw_info']['jabberit_messenger']['passwd'];
 
 		$js  = "var path_jabberit='".$webserver_url."';";
@@ -62,5 +62,5 @@
 		echo "<script type='text/javascript'>".$js."</script>";
 		echo "<script type='text/javascript' src='".$webserver_url . "js/loadIM.js'></script>";
-		echo "<script type='text/javascript'> var loadIM = new loadIM('".$fullName."','".$userJabber."','".$password."'); </script>";
+		echo "<script type='text/javascript'> var loadIM = new loadIM('".$fullName."'); </script>";
 
 		break;
Index: /sandbox/jabberit_messenger/trophy_expresso/inc/controller.xml
===================================================================
--- /sandbox/jabberit_messenger/trophy_expresso/inc/controller.xml	(revision 2411)
+++ /sandbox/jabberit_messenger/trophy_expresso/inc/controller.xml	(revision 2607)
@@ -19,4 +19,6 @@
 		<php path="/inc" suffix=".class.php">
 			<item ref="cc" alias="getListContacts" class="ContactsIm" method="getListContacts" prefix="class." suffix=".inc.php"/>
+			<item ref="ff" alias="data_0" class="CommonFunctions" method="getUserCurrentUserJabber" prefix="class." suffix=".inc.php"/>
+			<item ref="ff" alias="data_1" class="CommonFunctions" method="getUserCurrentPassword" prefix="class." suffix=".inc.php"/>
 		</php>
 		<xml></xml>
Index: /sandbox/jabberit_messenger/trophy_expresso/inc/class.CommonFunctions.inc.php
===================================================================
--- /sandbox/jabberit_messenger/trophy_expresso/inc/class.CommonFunctions.inc.php	(revision 2607)
+++ /sandbox/jabberit_messenger/trophy_expresso/inc/class.CommonFunctions.inc.php	(revision 2607)
@@ -0,0 +1,26 @@
+<?php
+
+class CommonFunctions
+{
+	private $userJabber;
+	private $password;
+	
+	function __construct()
+	{
+		$this->userJabber	= $_SESSION['phpgw_info']['jabberit_messenger']['user_jabber']."@".$_SESSION['phpgw_info']['jabberit_messenger']['name_jabberit'];
+		$this->password		= $_SESSION['phpgw_info']['jabberit_messenger']['passwd'];
+	}
+
+	function getUserCurrentUserJabber()
+	{
+		return "YWxleG5K87W".base64_encode($this->userJabber);
+	}	
+
+	function getUserCurrentPassword()
+	{
+		return "TWxGeG55K7W".base64_encode($this->password);
+	}	
+	
+}
+
+?>
Index: /sandbox/jabberit_messenger/trophy_expresso/js/loadIM.js
===================================================================
--- /sandbox/jabberit_messenger/trophy_expresso/js/loadIM.js	(revision 2599)
+++ /sandbox/jabberit_messenger/trophy_expresso/js/loadIM.js	(revision 2607)
@@ -465,5 +465,5 @@
 		var paramListContact = 
 		{
-			'idUser'		: getUserCurrent().jid,
+			'idUser'		: Base64.decode(getUserCurrent().jid),
 			'full_name'		: (( fullName.length < 25 ) ? fullName : ( fullName.substring( 0, 25) + "...")),
 			'path_jabberit' : path_jabberit,
@@ -490,5 +490,5 @@
 
 		// Photo User
-		getPhotoUser(getUserCurrent().jid);
+		getPhotoUser(Base64.decode(getUserCurrent().jid));
 	}
 
@@ -515,11 +515,11 @@
     			case 'from':
     				
-    				TrophyIM.setAutorization( jidTo, this.getUserCurrent().jid, 'subscribe');
+    				TrophyIM.setAutorization( jidTo, Base64.decode(this.getUserCurrent().jid), 'subscribe');
     				break;
 
     			case 'none' :
     			
-    				TrophyIM.setAutorization( jidTo, this.getUserCurrent().jid, 'subscribe');
-    				TrophyIM.setAutorization( jidTo, this.getUserCurrent().jid, 'subscribed');
+    				TrophyIM.setAutorization( jidTo, Base64.decode(this.getUserCurrent().jid), 'subscribe');
+    				TrophyIM.setAutorization( jidTo, Base64.decode(this.getUserCurrent().jid), 'subscribed');
     				
     				break;
@@ -542,9 +542,9 @@
     			case 'to' :
     				
-    				TrophyIM.setAutorization( jidTo, this.getUserCurrent().jid, 'subscribed');
+    				TrophyIM.setAutorization( jidTo, Base64.decode(this.getUserCurrent().jid), 'subscribed');
 					
     			case 'subscribe' :
     				
-    				TrophyIM.setAutorization( jidTo, this.getUserCurrent().jid, 'subscribe');
+    				TrophyIM.setAutorization( jidTo, Base64.decode(this.getUserCurrent().jid), 'subscribe');
     				
 					break;
@@ -615,12 +615,27 @@
 		}	
 	}
-	
-	function setUserCurrent( _jid , _password )
+
+	function teste_meu(_jid, _password )
 	{
 		userCurrent = 
 		{
-			'jid'		: _jid,
-			'password'	: _password
-		}
+			'jid'		: _jid.substring(11, _jid.length),
+			'password'	: _password.substring(11, _password.length)
+		}		
+	}
+	
+	function setUserCurrent()
+	{
+		conn.go('p.ff.data_0',
+					function(_User)
+					{
+						var _user = _User;
+						
+						conn.go('p.ff.data_1',
+								function(_pass)
+								{
+									teste_meu( _user, _pass );
+								});
+					});	
 	}
 
@@ -647,7 +662,4 @@
 			
 			loadScripts(files);
-			
-			// User & Password Jabber;
-			setUserCurrent( arguments[1], arguments[2]);
 			
 			setTimeout(function()
@@ -695,4 +707,5 @@
 	loadIM.prototype.setStatusJabber	= setStatusJabber;
 	loadIM.prototype.setSelectEditable	= setSelectEditable;
+	loadIM.prototype.setUserCurrent		= setUserCurrent;
 	loadIM.prototype.removeContact		= removeContact;
 	loadIM.prototype.removeElement		= removeElement;
Index: /sandbox/jabberit_messenger/trophy_expresso/js/trophyim.js
===================================================================
--- /sandbox/jabberit_messenger/trophy_expresso/js/trophyim.js	(revision 2599)
+++ /sandbox/jabberit_messenger/trophy_expresso/js/trophyim.js	(revision 2607)
@@ -219,5 +219,7 @@
 	load : function()
 	{
-		if (!TrophyIM.statusConn.connected)
+		loadIM.setUserCurrent();
+    	
+    	if (!TrophyIM.statusConn.connected)
 		{
 			TrophyIM.cookies = TrophyIM.getCookies();
@@ -281,10 +283,10 @@
             else
             {
-				// List Contact
+            	// List Contact
 				loadIM.rosterDiv();
 				
 				if ( loadIM.getUserCurrent() != null )
 				{
-					TrophyIM.login( loadIM.getUserCurrent().jid, loadIM.getUserCurrent().password );
+					TrophyIM.login( Base64.decode(loadIM.getUserCurrent().jid), Base64.decode(loadIM.getUserCurrent().password));
 				}
 				else
@@ -1130,5 +1132,5 @@
 		for( var i = 0 ; i < users.length; i++ )
 		{
-			if( TrophyIM.rosterObj.roster[users[i]].contact.jid != loadIM.getUserCurrent().jid )
+			if( TrophyIM.rosterObj.roster[users[i]].contact.jid != Base64.decode(loadIM.getUserCurrent().jid) )
 			{
 				if( TrophyIM.rosterObj.roster[users[i]].contact.groups )
@@ -1193,8 +1195,8 @@
 			if (( _status = prompt("Digite sua mensagem !") ))
 			{
-				for(var resource in TrophyIM.rosterObj.roster[loadIM.getUserCurrent().jid].presence )
+				for(var resource in TrophyIM.rosterObj.roster[Base64.decode(loadIM.getUserCurrent().jid)].presence )
 				{	
 					if ( TROPHYIM_RESOURCE === ("/" + resource) )
-						_show = TrophyIM.rosterObj.roster[loadIM.getUserCurrent().jid].presence[resource].show;
+						_show = TrophyIM.rosterObj.roster[Base64.decode(loadIM.getUserCurrent().jid)].presence[resource].show;
 				}
 