Index: /trunk/expressoMail1_2/setup/phpgw_pt-br.lang
===================================================================
--- /trunk/expressoMail1_2/setup/phpgw_pt-br.lang	(revision 2561)
+++ /trunk/expressoMail1_2/setup/phpgw_pt-br.lang	(revision 2622)
@@ -325,4 +325,6 @@
 Open search window	expressoMail1_2	pt-br	Abrir janela de pesquisa
 Options	expressoMail1_2	pt-br	Opções
+Hide details	expressoMail1_2	pt-br	Ocultar Detalhes
+Show details	expressoMail1_2	pt-br	Mostrar Detalhes
 Organization	expressoMail1_2	pt-br	Organização
 Original Attachments: add	expressoMail1_2	pt-br	Anexos originais: adicionar
Index: /trunk/expressoMail1_2/js/jscode/draw_api_messages.js
===================================================================
--- /trunk/expressoMail1_2/js/jscode/draw_api_messages.js	(revision 2579)
+++ /trunk/expressoMail1_2/js/jscode/draw_api_messages.js	(revision 2622)
@@ -266,17 +266,15 @@
 			var _offset = 35;
 			if (this.value == 'more_options'){
-				this.innerHTML = "<b><u>"+get_lang('Options')+"</u></b>";
+				this.innerHTML = "<b><u>"+get_lang('hide details')+"</u></b>";
 				this.value = 'hide_options';
 				Element("div_message_scroll_"+ID).style.height = (_height - _offset)+"px";
 				Element('table_message_others_options_'+ID).style.display = '';
-				Element('tr_other_options_'+ID).style.display = '';
 
 			}
 			else{
-				this.innerHTML = get_lang('Options');
+				this.innerHTML = get_lang('show details');
 				this.value = 'more_options';
 				Element("div_message_scroll_"+ID).style.height = (_height + _offset)+"px";
 				Element('table_message_others_options_'+ID).style.display = 'none';
-				Element('tr_other_options_'+ID).style.display = 'none';			
 			}
 		};
@@ -284,5 +282,4 @@
 		option_mark.align = "left";
 		option_mark.width = "50%";
-
 
 		var option_mark_as_unseen = '<span class="message_options" onclick="changeLinkState(this,\'seen\');set_messages_flag(\'unseen\','+
@@ -298,5 +295,5 @@
 								    '.\');">'+get_lang("Important")+'</span>';
 		option_mark.innerHTML = option_mark_as_unseen+option_mark_important;
-		option_hide_more.innerHTML = get_lang('Options');
+		option_hide_more.innerHTML = get_lang('show details');
 		options.appendChild(option_hide_more);
 
@@ -319,4 +316,34 @@
 		options.appendChild(space1);
 		options.appendChild(option_forward);
+		var option_reply_options = document.createElement("IMG");
+		option_reply_options.id = 'msg_opt_reply_options_'+ID;
+		option_reply_options.onmouseover = function(){
+				option_reply_options.src= URL_SERVER+'/expressoMail1_2/templates/default/images/over.png';
+		};
+		option_reply_options.onmouseout = function(){
+			if (this.value == 'show')
+			{
+				option_reply_options.src= URL_SERVER+'/expressoMail1_2/templates/default/images/down.png';
+			}
+			else
+			{
+				option_reply_options.src= URL_SERVER+'/expressoMail1_2/templates/default/images/pressed.png';
+			}
+		};
+		option_reply_options.onclick = function(){
+			if (this.value == 'show'){
+				this.value = 'hide';
+				option_reply_options.src= URL_SERVER+'/expressoMail1_2/templates/default/images/pressed.png';
+				Element('tr_other_options_'+ID).style.display = '';
+
+			}
+			else{
+				this.value = 'show';
+				option_reply_options.src= URL_SERVER+'/expressoMail1_2/templates/default/images/down.png';
+				Element('tr_other_options_'+ID).style.display = 'none';
+			}
+		};
+		option_reply_options.src= URL_SERVER+'/expressoMail1_2/templates/default/images/down.png';
+		option_reply_options.value = 'show';
 		var option_reply = document.createElement("SPAN");
 		option_reply.id = 'msg_opt_reply_'+ID;
@@ -325,12 +352,6 @@
 		option_reply.innerHTML = get_lang('Reply');
 		options.appendChild(space2);
+		options.appendChild(option_reply_options);
 		options.appendChild(option_reply);
-		var option_delete = document.createElement("SPAN");
-		option_delete.id = 'msg_opt_delete_'+ID;
-		option_delete.className = 'message_options';
-		option_delete.onclick = function(){proxy_mensagens.delete_msgs(info_msg.msg_folder, info_msg.msg_number, ID);};
-		option_delete.innerHTML = get_lang('Delete');
-		options.appendChild(space3);
-		options.appendChild(option_delete);
 
 		tr.appendChild(td);
@@ -347,6 +368,6 @@
 		var td_other_options = document.createElement("TD");
 		td_other_options.colSpan = '3';
-		//td_other_options.align = 'right';
-		//td_other_options.setAttribute("noWrap","true");
+		td_other_options.align = 'right';
+		td_other_options.setAttribute("noWrap","true");
 		var div_other_options = document.createElement("DIV");
 
@@ -359,8 +380,7 @@
 		var option_reply_to_all					= '<span onmouseover="this.className=\'message_options_active\'" onmouseout="this.className=\'message_options\'" class="message_options" onclick=new_message("reply_to_all_with_history","'+ID+'");>'+get_lang("Reply to all")+'</span> | ';
 		var option_reply_without_history		= '<span onmouseover="this.className=\'message_options_active\'" onmouseout="this.className=\'message_options\'" class="message_options" onclick=new_message("reply_without_history","'+ID+'");>'+get_lang("Reply without history")+'</span> | ';
-		var option_reply_to_all_without_history	= '<span onmouseover="this.className=\'message_options_active\'" onmouseout="this.className=\'message_options\'" class="message_options" onclick=new_message("reply_to_all_without_history","'+ID+'");>'+get_lang("Reply to all without history")+'</span> |';
-		var option_source_msg = '<span class="message_options" onclick=proxy_mensagens.proxy_source_msg("'+ID+'","'+url_encode(info_msg.msg_folder)+'");>'+get_lang("Message Font")+'</span> </div>';		
-
-		div_other_options.innerHTML = option_reply_to_all + option_reply_without_history + option_reply_to_all_without_history + option_source_msg;
+		var option_reply_to_all_without_history	= '<span onmouseover="this.className=\'message_options_active\'" onmouseout="this.className=\'message_options\'" class="message_options" onclick=new_message("reply_to_all_without_history","'+ID+'");>'+get_lang("Reply to all without history")+'</span></div>'
+
+		div_other_options.innerHTML = option_reply_to_all + option_reply_without_history + option_reply_to_all_without_history;
 		if (use_spam_filter) {
 			if(info_msg.msg_folder == 'INBOX'+cyrus_delimiter+'Spam')