Index: /sandbox/jabberit_messenger/trophy_expresso/xsl/contactsList.xsl
===================================================================
--- /sandbox/jabberit_messenger/trophy_expresso/xsl/contactsList.xsl	(revision 2511)
+++ /sandbox/jabberit_messenger/trophy_expresso/xsl/contactsList.xsl	(revision 2626)
@@ -11,17 +11,20 @@
 		
 		<fieldset style="margin:2px; border:1px dotted #000000; height: 90px;">
-			<div id="{$idUser}__photo" style="margin:0px; width:60px; height:80px; background-image:url('{$path_jabberit}/templates/default/images/photo.png');"/>
-			<div style="position: absolute; margin-top: -19px; margin-left: 75px; cursor: pointer;" onclick="loadIM.setPresence(this);">
-				<div id="statusJabberImg" style="background-image: url('{$path_jabberit}/templates/default/images/available.gif'); margin-left: 13px;width:15px; height:15px;"></div>
-				<div id="statusJabberText" style="margin-top: -13px; margin-left: 30px;"> Disponível </div>
-				<div style="background-image: url('{$path_jabberit}/templates/default/images/arrow_down.gif'); margin-top: -8px; margin-left: 0px; width:15px; height:15px;"/> 
-			</div>
-			
-			<div style="position: absolute; margin-top: -50px; margin-left: 75px;">
+			<div id="{$idUser}__photo" style="position: absolute; left: 5px; top: 5px; width:60px; height:80px; background-image:url('{$path_jabberit}/templates/default/images/photo.png');"/>
+
+			<div style="position: absolute; left: 80px; top: 10px;"> <xsl:value-of select="$full_name"/> </div>
+
+			<div style="position: absolute; top: 30px; left: 80px;">
 				<button style="width:35px;" alt="Adicionar Contatos" title="Adicionar Contatos" onclick="loadIM.addContact();">
 					<img src="{$path_jabberit}/templates/default/images/users.png"/>
 				</button>
-			</div>	
-			<div style="positon: absolute; margin-top: -75px; margin-left: 75px;"> <xsl:value-of select="$full_name"/> </div>
+			</div>
+
+			<div style="position: absolute; left: 80px; top: 55px; cursor: pointer;" onclick="loadIM.setPresence(this);">
+				<div id="statusJabberImg" style="background: url('{$path_jabberit}/templates/default/images/available.gif'); margin-left: 13px;width:15px; height:15px;"></div>
+				<div id="statusJabberText" style="margin-top: -13px; margin-left: 30px;"> Disponível </div>
+				<div style="background-image: url('{$path_jabberit}/templates/default/images/arrow_down.gif'); margin-top: -13px; margin-left: 0px; width:15px; height:15px;"/> 
+			</div>
+
 		</fieldset>
 				
Index: /sandbox/jabberit_messenger/trophy_expresso/xsl/groups.xsl
===================================================================
--- /sandbox/jabberit_messenger/trophy_expresso/xsl/groups.xsl	(revision 2471)
+++ /sandbox/jabberit_messenger/trophy_expresso/xsl/groups.xsl	(revision 2626)
@@ -9,5 +9,5 @@
 
 			<div style="margin-bottom: 3px;">
-				<span  onclick="loadIM.groupsHidden(this);" style="background: url('{$path_jabberit}/templates/default/images/arrow_down.gif')no-repeat center left; font-weight:bold; padding-left: 16px; cursor: pointer;">
+				<span  onclick="loadIM.groupsHidden(this);" style="background: url('{$path_jabberit}/templates/default/images/arrow_down.gif') no-repeat center left; font-weight:bold; padding-left: 16px; cursor: pointer;">
 					<xsl:value-of select="$nameGroup"/>
 				</span>
Index: /sandbox/jabberit_messenger/trophy_expresso/xsl/itensGroup.xsl
===================================================================
--- /sandbox/jabberit_messenger/trophy_expresso/xsl/itensGroup.xsl	(revision 2577)
+++ /sandbox/jabberit_messenger/trophy_expresso/xsl/itensGroup.xsl	(revision 2626)
@@ -16,8 +16,8 @@
 	<xsl:template match="itens_group">
 
-			<div id="{$id}" subscription="{$subscription}" onmousedown="loadIM.actionButton(event,'{$jid}','{$index}');" style="background: url('{$path_jabberit}templates/default/images/{$presence}.gif')no-repeat center left; padding-left: 20px; margin:2px 0px 0px 10px; cursor:pointer; font-weight:normal;">
+			<div id="{$id}" subscription="{$subscription}" onmousedown="loadIM.actionButton(event,'{$jid}','{$index}');" style="background: url('{$path_jabberit}templates/default/images/{$presence}.gif') no-repeat center left; padding-left: 20px; margin:2px 0px 0px 10px; cursor:pointer; font-weight:normal;">
 				<xsl:value-of select="$nameContact"/>
 			</div>
-			<span id="span_show_{$id}" style="margin:2px 0px 0px 10px; font-size: 8pt; font-style:italic; display:{$statusDisplay}; color:{$statusColor};"><xsl:value-of select="$status"/></span>
+			<span id="span_show_{$id}" style="margin:2px 0px 0px 10px; font-size: 10px; font-style:italic; display:{$statusDisplay}; color:{$statusColor};"><xsl:value-of select="$status"/></span>
 			
 	</xsl:template>
Index: /sandbox/jabberit_messenger/trophy_expresso/xsl/chatBox.xsl
===================================================================
--- /sandbox/jabberit_messenger/trophy_expresso/xsl/chatBox.xsl	(revision 2577)
+++ /sandbox/jabberit_messenger/trophy_expresso/xsl/chatBox.xsl	(revision 2626)
@@ -12,7 +12,7 @@
 				<div id="{$idChatBox}" style="height:190px; width:370px; overflow-y:scroll;"></div>
 				<div style="margin:2px;">
-					<textarea id="{$jidTo}__sendBox" class="trophyimchatinput" style="padding-right: 78px; height:130px; width:360px;"></textarea>
-					<div id="{$jidTo}__photo" style="position:relative;margin:-126px 0 0 290px;width:60px ;height:80px ;background-image:url('{$path_jabberit}templates/default/images/photo.png');" />
-					<div style="margin: 7px 5px 5px 295px;">
+					<textarea id="{$jidTo}__sendBox" class="trophyimchatinput" style="padding-left: 78px; height:130px; width:360px;"></textarea>
+					<div id="{$jidTo}__photo" style="position:relative;margin:-126px 0 0 10px;width:60px ;height:80px ;background-image:url('{$path_jabberit}templates/default/images/photo.png');" />
+					<div style="margin: 7px 5px 5px 10px;">
 						<input type="button" value="Send" onclick="TrophyIM.sendMessage('{$jidTo}')"/>
 					</div>
Index: /sandbox/jabberit_messenger/trophy_expresso/js/loadIM.js
===================================================================
--- /sandbox/jabberit_messenger/trophy_expresso/js/loadIM.js	(revision 2621)
+++ /sandbox/jabberit_messenger/trophy_expresso/js/loadIM.js	(revision 2626)
@@ -32,5 +32,5 @@
 		
 			if ( !e )
-				var e = window.event;
+				e = window.event;
 
 			var _X = e.clientX + document.body.scrollLeft - document.body.clientLeft;
@@ -43,13 +43,19 @@
 				return false;
 			};
-	
-			if ( ( e.which && e.which > 1 ) || ( e.button && e.button > 1 ) )
-			{
-				optionsItensContact( jid, index, coord );
-			}
-			else
-			{
-				if ( e.target.id )
+			
+			if( e.button )
+			{
+				if( e.button > 1 )
+					optionsItensContact( jid, index, coord );
+				else
 					TrophyIM.rosterClick(jid);
+			}	
+			else if( e.which )
+			{
+				if( e.which > 1 )
+					optionsItensContact( jid, index, coord );
+				else
+					if( e.target.id )
+						TrophyIM.rosterClick(jid);
 			}
 		}
@@ -159,5 +165,5 @@
 		{
 			var element = arguments[0];
-			
+
 			if( showhidden == null )
 				showhidden = new ShowHidden(300);
@@ -173,11 +179,15 @@
 			for( var i in _options )
 			{
-				_itens += '<img src="'+arrow_right.src+'"/>';
-				_itens += '<span style="cursor:pointer; margin:3px;" onclick='+_options[i][1]+'>';
-				_itens += _options[i][0] + '</span><br/>';
+				if( typeof(_options) == "object" )
+				{
+					_itens += '<img src="'+arrow_right.src+'"/>';
+					_itens += '<span style="cursor:pointer; margin:3px;" onclick='+_options[i][1]+'>';
+					_itens += _options[i][0] + '</span><br/>';
+				}
 			}
 			
 			var _optionsItens = document.createElement("div");
-				_optionsItens.setAttribute("style", "margin: 20px 0px 0px -4px;");
+				_optionsItens.style.marginTop	= "19px";
+				_optionsItens.style.marginLeft	= "-8px";
 				_optionsItens.className		= "x-menu";
 				_optionsItens.style.zIndex	= '999999';
@@ -226,5 +236,5 @@
 		{
 			var _element = arguments[0];
-				_element.style.background = "url('"+path_jabberit+"templates/default/images/arrow_right.gif')no-repeat center left";
+				_element.style.background = "url('"+path_jabberit+"templates/default/images/arrow_right.gif') no-repeat center left";
 				_element.onclick = function(){ groupsVisible(_element);};
 				
@@ -234,5 +244,7 @@
 				while( _elementNext )
 				{	
-					_elementNext.style.display = "none";
+					if( _elementNext.nodeType == 1 )
+						_elementNext.style.display = "none";
+					
 					_elementNext = _elementNext.nextSibling;
 				}
@@ -245,5 +257,5 @@
 		{
 			var _element = arguments[0];
-				_element.style.background = "url('"+path_jabberit+"templates/default/images/arrow_down.gif')no-repeat center left";
+				_element.style.background = "url('"+path_jabberit+"templates/default/images/arrow_down.gif') no-repeat center left";
 				_element.onclick = function(){ groupsHidden(_element);};
 
@@ -253,5 +265,7 @@
 				while( _elementNext )
 				{	
-					_elementNext.style.display = "block";
+					if( _elementNext.nodeType == 1 )
+						_elementNext.style.display = "block";
+
 					_elementNext = _elementNext.nextSibling;
 				}
@@ -383,7 +397,10 @@
 			for( var i in _options )
 			{
-				_itens += '<img src="'+arrow_right.src+'"/>';
-				_itens += '<span style="cursor:pointer;margin:3px;font-weight:normal;" onclick='+_options[i][1]+'>';
-				_itens += _options[i][0] + '</span><br/>';
+				if( typeof(_options[i]) == "object")
+				{
+					_itens += '<img src="'+arrow_right.src+'"/>';
+					_itens += '<span style="cursor:pointer;margin:3px;font-weight:normal;" onclick='+_options[i][1]+'>';
+					_itens += _options[i][0] + '</span><br/>';
+				}
 			}
 			
@@ -581,5 +598,5 @@
 				               ['Ocupado', 'dnd', '<img src="'+path_jabberit+'templates/default/images/dnd.gif" />'],
 				               ['Desconectado', 'unavailable', '<img src="'+path_jabberit+'templates/default/images/unavailable.gif" />'],
-				               ['Mensagem de Status...', 'status', '<img src="'+path_jabberit+'templates/default/images/message_normal.gif" />']				                
+				               ['Mensagem de Status...', 'status', '<img src="'+path_jabberit+'templates/default/images/message_normal.gif" />'],				                
 				          ];
 			
@@ -588,14 +605,18 @@
 			for( var i in _status )
 			{
-				_itens += '<span style="cursor:pointer;" onclick="TrophyIM.setPresence(\''+_status[i][1]+'\'); loadIM.setStatusJabber(\''+_status[i][0]+'\',\''+_status[i][1]+'\');">';
-				_itens += _status[i][2]+ "<span style='margin:3px;'>" + _status[i][0] + "</span></span><br/>";
+				if( typeof( _status[i]) == "object" )
+				{
+					_itens += '<span style="cursor:pointer;" onclick="TrophyIM.setPresence(\''+_status[i][1]+'\'); loadIM.setStatusJabber(\''+_status[i][0]+'\',\''+_status[i][1]+'\');">';
+					_itens += _status[i][2]+ "<span style='margin:3px;'>" + _status[i][0] + "</span></span><br/>";
+				}
 			}
 			
 			var _statusItens = document.createElement("div");
-				_statusItens.setAttribute("style", "margin: 62px 0px 0px 76px;");
-				_statusItens.className		= "x-menu";
-				_statusItens.style.zIndex	= '99999';
-				_statusItens.innerHTML		= _itens;  
-				_statusItens.onclick 		= function(){ showhidden.hiddenObject(false); };
+				_statusItens.style.marginTop	= "65px";
+				_statusItens.style.marginLeft	= "67px";
+				_statusItens.className		 	= "x-menu";
+				_statusItens.style.zIndex	 	= '99999';
+				_statusItens.innerHTML		 	= _itens;  
+				_statusItens.onclick 		 	= function(){ showhidden.hiddenObject(false); };
 										  
 				showhidden.action('onmouseover', 'onmouseout', _statusItens);
@@ -621,7 +642,7 @@
 				var _text	= arguments[0];
 				var _img	= arguments[1];
-				
-				getElement('statusJabberImg').setAttribute("style", "background-image: url('"+path_jabberit+"templates/default/images/"+_img+".gif'); margin-left: 13px;width:15px; height:15px;");
-				getElement('statusJabberText').innerHTML = _text;
+																	
+				getElement('statusJabberText').innerHTML		= _text;
+				getElement('statusJabberImg').style.background	= "url('"+path_jabberit+"templates/default/images/"+_img+".gif')";
 				getElement('status_jabber_expresso').style.background = "url('"+path_jabberit+"templates/default/images/"+_img+".gif') no-repeat";
 			}
Index: /sandbox/jabberit_messenger/trophy_expresso/js/trophyim.js
===================================================================
--- /sandbox/jabberit_messenger/trophy_expresso/js/trophyim.js	(revision 2620)
+++ /sandbox/jabberit_messenger/trophy_expresso/js/trophyim.js	(revision 2626)
@@ -1137,5 +1137,5 @@
 					}
 					
-					itensJid.style.background	= "url('"+path_jabberit+"templates/default/images/" + presence + ".gif')no-repeat center left";
+					itensJid.style.background	= "url('"+path_jabberit+"templates/default/images/" + presence + ".gif') no-repeat center left";
 				}
 			}