Index: trunk/expressoMail1_2/js/jscode/draw_api_folders.js
===================================================================
--- trunk/expressoMail1_2/js/jscode/draw_api_folders.js	(revision 2628)
+++ trunk/expressoMail1_2/js/jscode/draw_api_folders.js	(revision 2630)
@@ -80,5 +80,5 @@
 	td_element5.align = "center";
 	td_element5.innerHTML = "<B>"+get_lang("Date")+"</B>";	
-	td_element5.innerHTML += '<img src ="' + URL_SERVER + '/expressoMail1_2/templates/'+template+'/images/arrow_descendant.gif">';
+	td_element5.innerHTML += '<img src ="' + URL_SERVER + 'expressoMail1_2/templates/'+template+'/images/arrow_descendant.gif">';
 	td_element6 = document.createElement("TD");
 	td_element6.setAttribute("width", "10%");
@@ -206,5 +206,5 @@
 
 	var sm_envelope_img1 = '<img style="cursor:'+ (is_ie ? 'hand' : 'pointer') +'" title="' + get_lang("Add Contact") +
-		'" onclick="ccQuickAddOne.showList(\''+cc_data+'\')" src="' + URL_SERVER + '/expressoMail1_2/templates/'+template+'/images/user_card.png">';
+		'" onclick="ccQuickAddOne.showList(\''+cc_data+'\')" src="' + URL_SERVER + 'expressoMail1_2/templates/'+template+'/images/user_card.png">';
 	var to_addybook_add = "<SPAN id='insert_plugin_"+idx_cc+"_"+ID+"'>";
 	to_addybook_add += addrs;
@@ -251,5 +251,5 @@
 		td21.height="15";
 		td22 = document.createElement("TD");	
-		td21.setAttribute("background", URL_SERVER + '/phpgwapi/templates/' + template + '/images/dsunused.gif');
+		td21.setAttribute("background", URL_SERVER + 'phpgwapi/templates/' + template + '/images/dsunused.gif');
 		table221 = document.createElement("TABLE");
 		tbody221 = document.createElement("TBODY");
@@ -271,5 +271,5 @@
 		}
 		else if(value > 80)
-			td221.setAttribute("background", URL_SERVER + '/expressoMail1_2/templates/' + template + '/images/dswarn.gif');
+			td221.setAttribute("background", URL_SERVER + 'expressoMail1_2/templates/' + template + '/images/dswarn.gif');
 		else
 			td221.className = 'dsused';
@@ -633,14 +633,14 @@
 
 if (trash_span)
-	trash_span.style.backgroundImage="url(" + URL_SERVER + "/phpgwapi/templates/"+template+"/images/foldertree_trash.png)";
+	trash_span.style.backgroundImage="url(" + URL_SERVER + "phpgwapi/templates/"+template+"/images/foldertree_trash.png)";
 
 if (draft_span)
-	draft_span.style.backgroundImage="url(" + URL_SERVER + "/phpgwapi/templates/"+template+"/images/foldertree_draft.png)";
+	draft_span.style.backgroundImage="url(" + URL_SERVER + "phpgwapi/templates/"+template+"/images/foldertree_draft.png)";
 
 if (sent_span)
-	sent_span.style.backgroundImage="url(" + URL_SERVER + "/phpgwapi/templates/"+template+"/images/foldertree_sent.png)";
+	sent_span.style.backgroundImage="url(" + URL_SERVER + "phpgwapi/templates/"+template+"/images/foldertree_sent.png)";
 
 if (spam_span)
-	spam_span.style.backgroundImage="url(" + URL_SERVER + "/phpgwapi/templates/"+template+"/images/foldertree_spam.png)";
+	spam_span.style.backgroundImage="url(" + URL_SERVER + "phpgwapi/templates/"+template+"/images/foldertree_spam.png)";
 
 
@@ -759,5 +759,5 @@
 			}
 		}
-		expresso.connector.newRequest('error.html', URL_SERVER + '/expressoMail1_2/templates/'+template+'/error.html', 'GET',
+		expresso.connector.newRequest('error.html', URL_SERVER + 'expressoMail1_2/templates/'+template+'/error.html', 'GET',
 				function(data)
 				{
@@ -920,5 +920,5 @@
 	td_element2.setAttribute("width", "2%");
 	if (headers_msgs.attachment && headers_msgs.attachment.number_attachments > 0)
-		td_element2.innerHTML = '<img src ="' + URL_SERVER + '/expressoMail1_2/templates/'+template+'/images/clip.gif" title="' + url_decode(headers_msgs.attachment.names) + '">';			
+		td_element2.innerHTML = '<img src ="' + URL_SERVER + 'expressoMail1_2/templates/'+template+'/images/clip.gif" title="' + url_decode(headers_msgs.attachment.names) + '">';			
 
 	td_element21 = document.createElement("TD");
@@ -932,5 +932,5 @@
 		{
 			if (url_decode(attach_name[item]) != 'smime.p7s' && url_decode(attach_name[item]) != 'smime.p7m'){
-				td_element21.innerHTML = '<img src ="' + URL_SERVER + '/expressoMail1_2/templates/'+template+'/images/clip.gif" title="' + url_decode(attach_name[item]) + '">';
+				td_element21.innerHTML = '<img src ="' + URL_SERVER + 'expressoMail1_2/templates/'+template+'/images/clip.gif" title="' + url_decode(attach_name[item]) + '">';
 				break;
 			}
@@ -939,5 +939,5 @@
 
 	if ((headers_msgs.Forwarded == 'F')  || (headers_msgs.Draft == 'X' && headers_msgs.Answered == 'A')){
-		td_element21.innerHTML = '<img src ="' + URL_SERVER + '/expressoMail1_2/templates/'+template+'/images/forwarded.gif" title="'+get_lang('Forwarded')+'">';
+		td_element21.innerHTML = '<img src ="' + URL_SERVER + 'expressoMail1_2/templates/'+template+'/images/forwarded.gif" title="'+get_lang('Forwarded')+'">';
 		headers_msgs.Draft = '';
 		headers_msgs.Answered = '';
@@ -945,7 +945,7 @@
 	}
 	else if (headers_msgs.Draft == 'X')
-		td_element21.innerHTML = '<img src ="' + URL_SERVER + '/expressoMail1_2/templates/'+template+'/images/draft.gif" title="'+get_lang('Draft')+'">';
+		td_element21.innerHTML = '<img src ="' + URL_SERVER + 'expressoMail1_2/templates/'+template+'/images/draft.gif" title="'+get_lang('Draft')+'">';
 	else if (headers_msgs.Answered == 'A')
-		td_element21.innerHTML = '<img src ="' + URL_SERVER + '/expressoMail1_2/templates/'+template+'/images/answered.gif" title="'+get_lang('Answered')+'">';
+		td_element21.innerHTML = '<img src ="' + URL_SERVER + 'expressoMail1_2/templates/'+template+'/images/answered.gif" title="'+get_lang('Answered')+'">';
 	else
 		td_element21.innerHTML = "&nbsp;&nbsp;&nbsp;";
@@ -963,10 +963,10 @@
 		case "signature":
 		{
-			td_element22.innerHTML = '<img src ="' + URL_SERVER + '/expressoMail1_2/templates/'+template+'/images/signed_msg.gif" title="' + get_lang('Signed message') + '">';
+			td_element22.innerHTML = '<img src ="' + URL_SERVER + 'expressoMail1_2/templates/'+template+'/images/signed_msg.gif" title="' + get_lang('Signed message') + '">';
 			break;
 		}
 		case "cipher":
 		{
-			td_element22.innerHTML = '<img src ="' + URL_SERVER + '/expressoMail1_2/templates/'+template+'/images/lock.gif" title="' + get_lang('Crypted message') + '">';
+			td_element22.innerHTML = '<img src ="' + URL_SERVER + 'expressoMail1_2/templates/'+template+'/images/lock.gif" title="' + get_lang('Crypted message') + '">';
 			break;
 		}
@@ -984,5 +984,5 @@
 	if (headers_msgs.Flagged == 'F' || (headers_msgs.Importance.toLowerCase().indexOf("high") != -1 && parseInt(preferences.use_important_flag)))
 	{
-		td_element23.innerHTML = '<img src ="' + URL_SERVER + '/expressoMail1_2/templates/'+template+'/images/important.gif" title="'+get_lang('Important')+'">';
+		td_element23.innerHTML = '<img src ="' + URL_SERVER + 'expressoMail1_2/templates/'+template+'/images/important.gif" title="'+get_lang('Important')+'">';
 	}
 	else
@@ -996,5 +996,5 @@
 	// preload image
 	var _img_sent = new Image();
-	_img_sent.src 	 = URL_SERVER + '/expressoMail1_2/templates/'+template+'/images/sent.gif';
+	_img_sent.src 	 = URL_SERVER + 'expressoMail1_2/templates/'+template+'/images/sent.gif';
 
 	td_element3 = document.createElement("TD");
@@ -1015,5 +1015,5 @@
 		else{				
 			if(headers_msgs.to.email != null && headers_msgs.to.email.toLowerCase() != Element("user_email").value)
-				td_element24.innerHTML = '<img valign="center" src ="' + URL_SERVER + '/expressoMail1_2/templates/'+template+'/images/sent.gif" title="'+get_lang('Sent')+'">';
+				td_element24.innerHTML = '<img valign="center" src ="' + URL_SERVER + 'expressoMail1_2/templates/'+template+'/images/sent.gif" title="'+get_lang('Sent')+'">';
 
 			if ((headers_msgs.to)&&(headers_msgs.to.name != null))
Index: trunk/expressoMail1_2/js/jscode/drag_area.js
===================================================================
--- trunk/expressoMail1_2/js/jscode/drag_area.js	(revision 2572)
+++ trunk/expressoMail1_2/js/jscode/drag_area.js	(revision 2630)
@@ -23,5 +23,5 @@
 	this.div_dd.style.display ='none';
 	this.envelope = new Image();
-	this.envelope.src = URL_SERVER + "/expressoMail1_2/templates/"+template+"/images/envelope.png";
+	this.envelope.src = URL_SERVER + "expressoMail1_2/templates/"+template+"/images/envelope.png";
 	document.body.appendChild(this.div_dd);
 
Index: trunk/expressoMail1_2/js/jscode/abas.js
===================================================================
--- trunk/expressoMail1_2/js/jscode/abas.js	(revision 2579)
+++ trunk/expressoMail1_2/js/jscode/abas.js	(revision 2630)
@@ -140,5 +140,5 @@
 		borderTitle = borderTitle.substring(0, resize*0.08);
 
-	td.innerHTML = "<table width=100% border=0 cellspacing=0 cellpadding=0><tr><td id=font_border_id_" + ID+" class='font-menu' width=*>" + borderTitle + "</td><td width=1px><img onmousedown='javascript:return false' style='cursor:pointer' onclick=delete_border('" + ID + "','false') src='"+URL_SERVER+"/expressoMail1_2/templates/"+template+"/images/close_button.gif'></td></tr></table>";
+	td.innerHTML = "<table width=100% border=0 cellspacing=0 cellpadding=0><tr><td id=font_border_id_" + ID+" class='font-menu' width=*>" + borderTitle + "</td><td width=1px><img onmousedown='javascript:return false' style='cursor:pointer' onclick=delete_border('" + ID + "','false') src='"+URL_SERVER+"expressoMail1_2/templates/"+template+"/images/close_button.gif'></td></tr></table>";
 
 	bb = document.getElementById("border_blank");
Index: trunk/expressoMail1_2/js/jscode/InfoContact.js
===================================================================
--- trunk/expressoMail1_2/js/jscode/InfoContact.js	(revision 2572)
+++ trunk/expressoMail1_2/js/jscode/InfoContact.js	(revision 2630)
@@ -11,5 +11,5 @@
 emInfoContact.prototype.createCard = function(){
 	var pic= new Image(); 
-	pic.src=URL_SERVER + "/expressoMail1_2/templates/"+template+"/images/card.gif"; 
+	pic.src=URL_SERVER + "expressoMail1_2/templates/"+template+"/images/card.gif"; 
 	card = document.createElement("DIV");
 	card.id = "card_cc";
@@ -91,7 +91,7 @@
 	Element("card_cc_td").innerHTML = "<table cellpadding=0 cellspacing=0 border=0 height='100%' width='100%'><tr><td width='70' height='93' style='padding-top:5px;padding-left:6px' align='center' valign='center'>"+
 										"<img src='./inc/show_img.php?email="+data.email+"'></td><td style='padding-left:2px' align='left' valign='top'>"+
-										"<br><img align='center' src='"+URL_SERVER+"/expressoMail1_2/templates/"+template+"/images/"+(data.type)+"_catalog.png'><font size=1 color=BLACK>&nbsp;<b>"+get_lang("Sender's Information")+"</b></font>"+
+										"<br><img align='center' src='"+URL_SERVER+"expressoMail1_2/templates/"+template+"/images/"+(data.type)+"_catalog.png'><font size=1 color=BLACK>&nbsp;<b>"+get_lang("Sender's Information")+"</b></font>"+
 										_this.verifyIM(data.uid,data.email)+
-										"<br><img align='center' src='"+URL_SERVER+"/expressoMail1_2/templates/"+template+"/images/phone.gif'>&nbsp;<font  size=1  color=BLACK>"+(phoneUser ? phoneUser : get_lang("None") )+"</font>"+
+										"<br><img align='center' src='"+URL_SERVER+"expressoMail1_2/templates/"+template+"/images/phone.gif'>&nbsp;<font  size=1  color=BLACK>"+(phoneUser ? phoneUser : get_lang("None") )+"</font>"+
 										"</td></tr><tr><td valign='top' align='center' colspan='2'>"+
 										"<font size=1 color=BLACK>"+cn+"</font>"+
Index: trunk/expressoMail1_2/js/jscode/filters.js
===================================================================
--- trunk/expressoMail1_2/js/jscode/filters.js	(revision 2521)
+++ trunk/expressoMail1_2/js/jscode/filters.js	(revision 2630)
@@ -7,13 +7,13 @@
 		// Images
 		this.grp_open_img = new Image();
-		this.grp_open_img.src = URL_SERVER + '/expressoMail1_2/templates/'+template+'/images/filtro/group_open.gif';
+		this.grp_open_img.src = URL_SERVER + 'expressoMail1_2/templates/'+template+'/images/filtro/group_open.gif';
 		this.grp_close_img = new Image();
-		this.grp_close_img.src = URL_SERVER + '/expressoMail1_2/templates/'+template+'/images/filtro/group_close.gif';
+		this.grp_close_img.src = URL_SERVER + 'expressoMail1_2/templates/'+template+'/images/filtro/group_close.gif';
 		this.filter_img = new Image();
-		this.filter_img.src = URL_SERVER + '/expressoMail1_2/templates/'+template+'/images/filtro/filters.gif';
+		this.filter_img.src = URL_SERVER + 'expressoMail1_2/templates/'+template+'/images/filtro/filters.gif';
 		this.for_email_img = new Image();
-		this.for_email_img.src = URL_SERVER + '/expressoMail1_2/templates/'+template+'/images/filtro/answered.gif';
+		this.for_email_img.src = URL_SERVER + 'expressoMail1_2/templates/'+template+'/images/filtro/answered.gif';
 		this.telephone_voip = new Image();
-		this.telephone_voip.src = URL_SERVER + '/expressoMail1_2/templates/'+template+'/images/filtro/telephone_voip.jpg';
+		this.telephone_voip.src = URL_SERVER + 'expressoMail1_2/templates/'+template+'/images/filtro/telephone_voip.jpg';
 	}		
 
Index: trunk/expressoMail1_2/js/jscode/main.js
===================================================================
--- trunk/expressoMail1_2/js/jscode/main.js	(revision 2628)
+++ trunk/expressoMail1_2/js/jscode/main.js	(revision 2630)
@@ -1421,5 +1421,5 @@
 		title = title.substring(0, parseInt(resize)*0.08);
 
-	Element("border_id_" + new_border_ID).innerHTML = "<table width=100% border=0 cellspacing=0 cellpadding=0><tr><td id=font_border_id_" + new_border_ID +" class='font-menu' width=*>" +title + "</td><td width=1px><img onmousedown='javascript:return false' style='cursor:pointer' onclick=delete_border('" + new_border_ID + "','false') src='"+URL_SERVER+"/expressoMail1_2/templates/"+template+"/images/close_button.gif'></td></tr></table>";
+	Element("border_id_" + new_border_ID).innerHTML = "<table width=100% border=0 cellspacing=0 cellpadding=0><tr><td id=font_border_id_" + new_border_ID +" class='font-menu' width=*>" +title + "</td><td width=1px><img onmousedown='javascript:return false' style='cursor:pointer' onclick=delete_border('" + new_border_ID + "','false') src='"+URL_SERVER+"expressoMail1_2/templates/"+template+"/images/close_button.gif'></td></tr></table>";
 	return new_border_ID; //Preciso retornar o ID da nova mensagem.
 }
@@ -2068,7 +2068,7 @@
 		if (data.status && Element("td_message_answered_"+msg_number)) {	
 			if(flag == 'answered')
-				Element("td_message_answered_"+msg_number).innerHTML = '<img src="'+URL_SERVER+'/expressoMail1_2/templates/'+template+'/images/answered.gif" title="Respondida">';
+				Element("td_message_answered_"+msg_number).innerHTML = '<img src="'+URL_SERVER+'expressoMail1_2/templates/'+template+'/images/answered.gif" title="Respondida">';
 			else if(flag == 'forwarded')
-				Element("td_message_answered_"+msg_number).innerHTML = '<img src="'+URL_SERVER+'/expressoMail1_2/templates/'+template+'/images/forwarded.gif" title="Encaminhada">';
+				Element("td_message_answered_"+msg_number).innerHTML = '<img src="'+URL_SERVER+'expressoMail1_2/templates/'+template+'/images/forwarded.gif" title="Encaminhada">';
 		}
 	};
Index: trunk/expressoMail1_2/js/jscode/draw_api_messages.js
===================================================================
--- trunk/expressoMail1_2/js/jscode/draw_api_messages.js	(revision 2624)
+++ trunk/expressoMail1_2/js/jscode/draw_api_messages.js	(revision 2630)
@@ -77,5 +77,5 @@
 	document.getElementById("message_header_SORTARRIVAL_"+numBox).innerHTML = get_lang("Date");
 	document.getElementById("message_header_SORTSIZE_"+numBox).innerHTML	= get_lang("Size");	
-	document.getElementById("message_header_"+(sort_box_type.lastIndexOf("SORT") != "-1" ? sort_box_type : "SORTARRIVAL")+"_"+numBox ).innerHTML = "<B>"+type_name+'</B><img src ="' + URL_SERVER + '/expressoMail1_2/templates/'+template+'/images/arrow_'+(sort_box_reverse == 1 ? 'desc' : 'asc')+'endant.gif">';
+	document.getElementById("message_header_"+(sort_box_type.lastIndexOf("SORT") != "-1" ? sort_box_type : "SORTARRIVAL")+"_"+numBox ).innerHTML = "<B>"+type_name+'</B><img src ="' + URL_SERVER + 'expressoMail1_2/templates/'+template+'/images/arrow_'+(sort_box_reverse == 1 ? 'desc' : 'asc')+'endant.gif">';
 }
 function draw_message(info_msg, ID){
@@ -95,5 +95,5 @@
 	var img_next_msg = document.createElement("IMG");
 	img_next_msg.id = 'msg_opt_next_' + ID;
-	img_next_msg.src = URL_SERVER + '/expressoMail1_2/templates/'+template+'/images/down.button.png';
+	img_next_msg.src = URL_SERVER + 'expressoMail1_2/templates/'+template+'/images/down.button.png';
 	img_next_msg.title = get_lang('Next');
 	img_next_msg.style.cursor = 'pointer';
@@ -125,5 +125,5 @@
 		else
 		{
-			img_next_msg.src = URL_SERVER + '/expressoMail1_2/templates/'+template+'/images/down.gray.button.png';
+			img_next_msg.src = URL_SERVER + 'expressoMail1_2/templates/'+template+'/images/down.gray.button.png';
 			img_next_msg.style.cursor = 'default';
 
@@ -132,5 +132,5 @@
 	else
 	{
-		img_next_msg.src = URL_SERVER + '/expressoMail1_2/templates/'+template+'/images/down.gray.button.png';
+		img_next_msg.src = URL_SERVER + 'expressoMail1_2/templates/'+template+'/images/down.gray.button.png';
 		img_next_msg.style.cursor = 'default';
 		if (!proxy_mensagens.is_local_folder(get_current_folder()) && !(info_msg.msg_folder == "INBOX/decifradas")) // testa se a mensagem e local
@@ -151,5 +151,5 @@
 	var img_previous_msg = document.createElement("IMG");
 	img_previous_msg.id = 'msg_opt_previous_' + ID;
-	img_previous_msg.src = URL_SERVER + '/expressoMail1_2/templates/'+template+'/images/up.button.png';
+	img_previous_msg.src = URL_SERVER + 'expressoMail1_2/templates/'+template+'/images/up.button.png';
 	img_previous_msg.title = get_lang('Previous');
 	img_previous_msg.style.cursor = 'pointer';
@@ -180,5 +180,5 @@
 		else
 		{
-			img_previous_msg.src = URL_SERVER + '/expressoMail1_2/templates/'+template+'/images/up.gray.button.png';
+			img_previous_msg.src = URL_SERVER + 'expressoMail1_2/templates/'+template+'/images/up.gray.button.png';
 			img_previous_msg.style.cursor = 'default';
 		}
@@ -186,5 +186,5 @@
 	else
 	{
-		img_previous_msg.src = URL_SERVER + '/expressoMail1_2/templates/'+template+'/images/up.gray.button.png';
+		img_previous_msg.src = URL_SERVER + 'expressoMail1_2/templates/'+template+'/images/up.gray.button.png';
 		img_previous_msg.style.cursor = 'default';
 		if (!proxy_mensagens.is_local_folder(get_current_folder()) && !(info_msg.msg_folder == "INBOX/decifradas")) // testa se a mensagem e local
@@ -235,17 +235,17 @@
 	td.innerHTML = _name.bold() + ', ' + info_msg.smalldate;
 	if (info_msg.attachments.length > 0)
-		td.innerHTML += "&nbsp<img style='cursor:pointer' onclick='javascript:Element(\"option_hide_more_"+ID+"\").onclick()' src ='" + URL_SERVER + "/expressoMail1_2/templates/"+template+"/images/clip.gif' title='"+info_msg.attachments.names+"'>";
+		td.innerHTML += "&nbsp<img style='cursor:pointer' onclick='javascript:Element(\"option_hide_more_"+ID+"\").onclick()' src ='" + URL_SERVER + "expressoMail1_2/templates/"+template+"/images/clip.gif' title='"+info_msg.attachments.names+"'>";
 
 	if (typeof(info_msg.signature) == 'string')
 	{	
 		if (info_msg.signature != "void")
-			td.innerHTML += '&nbsp;<img style="cursor:pointer" onclick="alert(\''+ get_lang("This message is signed, and you can trust.") + info_msg.signature +'\');" src="' + URL_SERVER + '/expressoMail1_2/templates/'+template+'/images/signed.gif">';
+			td.innerHTML += '&nbsp;<img style="cursor:pointer" onclick="alert(\''+ get_lang("This message is signed, and you can trust.") + info_msg.signature +'\');" src="' + URL_SERVER + 'expressoMail1_2/templates/'+template+'/images/signed.gif">';
 		else
-			td.innerHTML += "&nbsp;<img style='cursor:pointer' onclick='alert(\""+get_lang("This message is signed, but it is invalid. You should not trust on it.")+"\");' title='"+get_lang("Voided message")+"' src='" + URL_SERVER + "/expressoMail1_2/templates/"+template+"/images/invalid.gif'>";
+			td.innerHTML += "&nbsp;<img style='cursor:pointer' onclick='alert(\""+get_lang("This message is signed, but it is invalid. You should not trust on it.")+"\");' title='"+get_lang("Voided message")+"' src='" + URL_SERVER + "expressoMail1_2/templates/"+template+"/images/invalid.gif'>";
 	}
 
 	if (info_msg.DispositionNotificationTo)
 	{
-		td.innerHTML += '&nbsp;<img style="cursor:pointer" alt="'+ get_lang('Message with read notification') + '" title="'+ get_lang('Message with read notification') + '" src="' + URL_SERVER + '/expressoMail1_2/templates/'+template+'/images/notification.gif">';
+		td.innerHTML += '&nbsp;<img style="cursor:pointer" alt="'+ get_lang('Message with read notification') + '" title="'+ get_lang('Message with read notification') + '" src="' + URL_SERVER + 'expressoMail1_2/templates/'+template+'/images/notification.gif">';
 	}
 
@@ -319,14 +319,14 @@
 		option_reply_options.id = 'msg_opt_reply_options_'+ID;
 		option_reply_options.onmouseover = function(){
-				option_reply_options.src= URL_SERVER+'/expressoMail1_2/templates/default/images/over.png';
+				option_reply_options.src= URL_SERVER+'expressoMail1_2/templates/default/images/over.png';
 		};
 		option_reply_options.onmouseout = function(){
 			if (this.value == 'show')
 			{
-				option_reply_options.src= URL_SERVER+'/expressoMail1_2/templates/default/images/down.png';
+				option_reply_options.src= URL_SERVER+'expressoMail1_2/templates/default/images/down.png';
 			}
 			else
 			{
-				option_reply_options.src= URL_SERVER+'/expressoMail1_2/templates/default/images/pressed.png';
+				option_reply_options.src= URL_SERVER+'expressoMail1_2/templates/default/images/pressed.png';
 			}
 		};
@@ -334,5 +334,5 @@
 			if (this.value == 'show'){
 				this.value = 'hide';
-				option_reply_options.src= URL_SERVER+'/expressoMail1_2/templates/default/images/pressed.png';
+				option_reply_options.src= URL_SERVER+'expressoMail1_2/templates/default/images/pressed.png';
 				Element('tr_other_options_'+ID).style.display = '';
 
@@ -340,9 +340,9 @@
 			else{
 				this.value = 'show';
-				option_reply_options.src= URL_SERVER+'/expressoMail1_2/templates/default/images/down.png';
+				option_reply_options.src= URL_SERVER+'expressoMail1_2/templates/default/images/down.png';
 				Element('tr_other_options_'+ID).style.display = 'none';
 			}
 		};
-		option_reply_options.src= URL_SERVER+'/expressoMail1_2/templates/default/images/down.png';
+		option_reply_options.src= URL_SERVER+'expressoMail1_2/templates/default/images/down.png';
 		option_reply_options.value = 'show';
 		var option_reply = document.createElement("SPAN");
@@ -413,10 +413,10 @@
 			if(signature_status_pos < 0 )
 			{
-				td.innerHTML += '&nbsp;<img style="cursor:pointer" src="' + URL_SERVER + '/expressoMail1_2/templates/'+template+'/images/signed_error.gif" title="'+get_lang("Details")+'">';
+				td.innerHTML += '&nbsp;<img style="cursor:pointer" src="' + URL_SERVER + 'expressoMail1_2/templates/'+template+'/images/signed_error.gif" title="'+get_lang("Details")+'">';
 				tr_signature.style.display = '';
 			}
 			else
 			{
-				td.innerHTML += '&nbsp;<img style="cursor:pointer" src="' + URL_SERVER + '/expressoMail1_2/templates/'+template+'/images/signed_table.gif" title="'+get_lang("Details")+'">';
+				td.innerHTML += '&nbsp;<img style="cursor:pointer" src="' + URL_SERVER + 'expressoMail1_2/templates/'+template+'/images/signed_table.gif" title="'+get_lang("Details")+'">';
 			}
 			td.onclick = function(){
@@ -861,5 +861,5 @@
 				if (forbidden)
 				{
-					newBody = newBody.replace(imgTag[j],"<img src='" + URL_SERVER + "/expressoMail1_2/templates/"+template+"/images/forbidden.jpg'>");
+					newBody = newBody.replace(imgTag[j],"<img src='" + URL_SERVER + "expressoMail1_2/templates/"+template+"/images/forbidden.jpg'>");
 					blocked=true;
 				}
@@ -939,5 +939,5 @@
 		}
 
-		td.innerHTML +=	"<BR><img src='" + URL_SERVER + "/expressoMail1_2/templates/"+template+"/images/menu/ktip.png'>"+get_lang("<b>Tip:</b> For faster save, click over the image with <u>right button</u>.");
+		td.innerHTML +=	"<BR><img src='" + URL_SERVER + "expressoMail1_2/templates/"+template+"/images/menu/ktip.png'>"+get_lang("<b>Tip:</b> For faster save, click over the image with <u>right button</u>.");
 		td.innerHTML += "<BR>";
 
@@ -1159,5 +1159,5 @@
 	if (!expresso_offline) {
 		var img_search = document.createElement("IMG");
-		img_search.src = URL_SERVER + '/expressoMail1_2/templates/'+template+'/images/search.gif';
+		img_search.src = URL_SERVER + 'expressoMail1_2/templates/'+template+'/images/search.gif';
 		img_search.title = get_lang('Search') + " | " + get_lang('Use F9 Key as shortcut.');
 		img_search.onclick = function () {emQuickSearch(document.getElementById('to_'+ID).value, 'to', ID);};
@@ -1283,5 +1283,5 @@
 	td_cc.appendChild(input_cc);
 	var img_search = document.createElement("IMG");
-	img_search.src = URL_SERVER + '/expressoMail1_2/templates/'+template+'/images/search.gif';
+	img_search.src = URL_SERVER + 'expressoMail1_2/templates/'+template+'/images/search.gif';
 	img_search.onclick = function () {emQuickSearch(document.getElementById('cc_'+ID).value, 'cc', ID)};
 	img_search.title = get_lang('Search') + " | " + get_lang('Use F9 Key as shortcut.');
@@ -1366,5 +1366,5 @@
 	td_cco.appendChild(input_cco);
 	var img_search = document.createElement("IMG");
-	img_search.src = URL_SERVER + '/expressoMail1_2/templates/'+template+'/images/search.gif';
+	img_search.src = URL_SERVER + 'expressoMail1_2/templates/'+template+'/images/search.gif';
 	img_search.title = get_lang('Search') + " | " + get_lang('Use F9 Key as shortcut.');	
 	img_search.onclick = function () {emQuickSearch(document.getElementById('cco_'+ID).value, 'cco', ID);};
@@ -1733,5 +1733,5 @@
 	dn_em.setAttribute("title",get_lang("Block Sender"));
 	dn_em.style.cursor = "pointer";		
-	dn_em.innerHTML = "<img align='top' onclick=filter.new_rule('"+email+"') src='" + URL_SERVER + "/expressoMail1_2/templates/"+template+"/images/deny.gif'>";
+	dn_em.innerHTML = "<img align='top' onclick=filter.new_rule('"+email+"') src='" + URL_SERVER + "expressoMail1_2/templates/"+template+"/images/deny.gif'>";
 	return dn_em;
 
Index: trunk/expressoMail1_2/js/jscode/load_lang.js
===================================================================
--- trunk/expressoMail1_2/js/jscode/load_lang.js	(revision 2603)
+++ trunk/expressoMail1_2/js/jscode/load_lang.js	(revision 2630)
@@ -5,5 +5,5 @@
 
 	var request = _connector.cache( ).go( {
-		'access' : URL_SERVER + '/expressoMail1_2/inc/load_lang.php?lang=' + lang,
+		'access' : URL_SERVER + 'expressoMail1_2/inc/load_lang.php?lang=' + lang,
 		'handler' : function( data )
 		{
Index: trunk/expressoMail1_2/js/jscode/globals.js
===================================================================
--- trunk/expressoMail1_2/js/jscode/globals.js	(revision 2611)
+++ trunk/expressoMail1_2/js/jscode/globals.js	(revision 2630)
@@ -23,14 +23,14 @@
 	'<tr><td align=left height=16px width="1%" nowrap class="table_top">&nbsp;'+
 	'<a href=# onclick="javascript:new_message(\'new\',\'null\')" align=left>'+
-	'<img src="' + URL_SERVER + '/expressoMail1_2/templates/'+template+'/images/menu/createmail.gif">'+
+	'<img src="' + URL_SERVER + 'expressoMail1_2/templates/'+template+'/images/menu/createmail.gif">'+
 	'&nbsp;Novo</a>&nbsp;&nbsp;'+
 	'<a href="#" onclick="javascript:wfolders.makeWindow(\'\', \'change_folder\')" align=left>'+
-	'<img src="' + URL_SERVER + '/expressoMail1_2/templates/'+template+'/images/menu/editfolders.png">'+
+	'<img src="' + URL_SERVER + 'expressoMail1_2/templates/'+template+'/images/menu/editfolders.png">'+
 	'&nbsp;Trocar Pasta</a>&nbsp;&nbsp'+	
 	'<a href="#" onclick="javascript:refresh();" align=left>'+
-	'<img src="' + URL_SERVER + '/expressoMail1_2/templates/'+template+'/images/menu/checkmail.gif">'+
+	'<img src="' + URL_SERVER + 'expressoMail1_2/templates/'+template+'/images/menu/checkmail.gif">'+
 	'&nbsp;Atualizar</a>&nbsp;&nbsp;'+
 	'<a id="link_tools" href="#" align=left>'+
-	'<img height="16px" src="' + URL_SERVER + '/expressoMail1_2/templates/'+template+'/images/menu/tools.gif">'+
+	'<img height="16px" src="' + URL_SERVER + 'expressoMail1_2/templates/'+template+'/images/menu/tools.gif">'+
 	'&nbsp;Ferramentas...</a>&nbsp;&nbsp;</td><td style="padding-left:17px" width="1%" id="content_quota" align=left nowrap></td><td width=* id="div_menu_c3" align="right"></td></tr></table>';
 
Index: trunk/expressoMail1_2/js/jscode/doiMenuData.js
===================================================================
--- trunk/expressoMail1_2/js/jscode/doiMenuData.js	(revision 2579)
+++ trunk/expressoMail1_2/js/jscode/doiMenuData.js	(revision 2630)
@@ -1,3 +1,3 @@
-_icon_dir = URL_SERVER + '/expressoMail1_2/templates/'+template+'/images/menu/';
+_icon_dir = URL_SERVER + 'expressoMail1_2/templates/'+template+'/images/menu/';
 
 function ConstructMenuTools(){
Index: trunk/expressoMail1_2/js/jscode/rich_text_editor.js
===================================================================
--- trunk/expressoMail1_2/js/jscode/rich_text_editor.js	(revision 2572)
+++ trunk/expressoMail1_2/js/jscode/rich_text_editor.js	(revision 2630)
@@ -179,5 +179,5 @@
 		img.className = 'imagebutton';
 		img.align = 'center';
-		img.src = URL_SERVER + '/expressoMail1_2/templates/'+template+'/images/'+buttons[i]+'.gif';
+		img.src = URL_SERVER + 'expressoMail1_2/templates/'+template+'/images/'+buttons[i]+'.gif';
 		img.title = get_lang(buttons[i]);
 		img.style.cursor = 'pointer';
Index: trunk/expressoMail1_2/js/modal/modal.js
===================================================================
--- trunk/expressoMail1_2/js/modal/modal.js	(revision 2563)
+++ trunk/expressoMail1_2/js/modal/modal.js	(revision 2630)
@@ -166,7 +166,7 @@
 	cssNode.rel = 'stylesheet';
 	if (navigator.userAgent.toLowerCase().indexOf("msie") != -1)
-		cssNode.href = URL_SERVER + "/expressoMail1_2/js/modal/css/modal_ie.css";
+		cssNode.href = URL_SERVER + "expressoMail1_2/js/modal/css/modal_ie.css";
 	else
-		cssNode.href = URL_SERVER + "/expressoMail1_2/js/modal/css/modal_fx.css";
+		cssNode.href = URL_SERVER + "expressoMail1_2/js/modal/css/modal_fx.css";
 	
 	cssNode.media = 'screen';