Index: sandbox/jabberit_messenger/trophy_expresso/xsl/contactsList.xsl
===================================================================
--- sandbox/jabberit_messenger/trophy_expresso/xsl/contactsList.xsl	(revision 2629)
+++ sandbox/jabberit_messenger/trophy_expresso/xsl/contactsList.xsl	(revision 2670)
@@ -16,10 +16,10 @@
 
 			<div style="position: absolute; top: 30px; left: 80px;">
-				<button style="width:35px;" alt="Adicionar Contatos" title="Adicionar Contatos" onclick="loadIM.addContact();">
+				<button style="width:35px;" alt="Adicionar Contatos" title="Adicionar Contatos" onclick="loadscript.addContact();">
 					<img src="{$path_jabberit}/templates/default/images/users.png"/>
 				</button>
 			</div>
 
-			<div style="position: absolute; left: 80px; top: 55px; cursor: pointer;" onclick="loadIM.setPresence(this);">
+			<div style="position: absolute; left: 80px; top: 55px; cursor: pointer;" onclick="loadscript.setPresence(this);">
 				<div id="statusJabberImg" style="background: url('{$path_jabberit}/templates/default/images/available.gif'); margin-left: 13px;width:15px; height:15px;"></div>
 				<div id="statusJabberText" style="margin-top: -13px; margin-left: 30px;"> Disponível </div>
Index: sandbox/jabberit_messenger/trophy_expresso/xsl/groups.xsl
===================================================================
--- sandbox/jabberit_messenger/trophy_expresso/xsl/groups.xsl	(revision 2626)
+++ sandbox/jabberit_messenger/trophy_expresso/xsl/groups.xsl	(revision 2670)
@@ -9,5 +9,5 @@
 
 			<div style="margin-bottom: 3px;">
-				<span  onclick="loadIM.groupsHidden(this);" style="background: url('{$path_jabberit}/templates/default/images/arrow_down.gif') no-repeat center left; font-weight:bold; padding-left: 16px; cursor: pointer;">
+				<span  onclick="loadscript.groupsHidden(this);" style="background: url('{$path_jabberit}/templates/default/images/arrow_down.gif') no-repeat center left; font-weight:bold; padding-left: 16px; cursor: pointer;">
 					<xsl:value-of select="$nameGroup"/>
 				</span>
Index: sandbox/jabberit_messenger/trophy_expresso/xsl/itensGroup.xsl
===================================================================
--- sandbox/jabberit_messenger/trophy_expresso/xsl/itensGroup.xsl	(revision 2626)
+++ sandbox/jabberit_messenger/trophy_expresso/xsl/itensGroup.xsl	(revision 2670)
@@ -16,5 +16,5 @@
 	<xsl:template match="itens_group">
 
-			<div id="{$id}" subscription="{$subscription}" onmousedown="loadIM.actionButton(event,'{$jid}','{$index}');" style="background: url('{$path_jabberit}templates/default/images/{$presence}.gif') no-repeat center left; padding-left: 20px; margin:2px 0px 0px 10px; cursor:pointer; font-weight:normal;">
+			<div id="{$id}" subscription="{$subscription}" onmousedown="loadscript.actionButton(event,'{$jid}','{$index}');" style="background: url('{$path_jabberit}templates/default/images/{$presence}.gif') no-repeat center left; padding-left: 20px; margin:2px 0px 0px 10px; cursor:pointer; font-weight:normal;">
 				<xsl:value-of select="$nameContact"/>
 			</div>
Index: sandbox/jabberit_messenger/trophy_expresso/xsl/addUser.xsl
===================================================================
--- sandbox/jabberit_messenger/trophy_expresso/xsl/addUser.xsl	(revision 2634)
+++ sandbox/jabberit_messenger/trophy_expresso/xsl/addUser.xsl	(revision 2670)
@@ -18,6 +18,6 @@
 			<div style="margin:5px 0px 5px 5px;">
 				<span><xsl:value-of select="$lang_name_contact" /> .: </span> 
-				<input id="search_user_jabber" type="text" size="30" onclick="this.select();" onkeypress="loadIM.keyPressSearch(event, this);" />
-				<button style="position:absolute; top:5px; left:305px;" onclick="loadIM.searchUser()"><img src="{$path}templates/default/images/users.png"/></button>
+				<input id="search_user_jabber" type="text" size="30" onclick="this.select();" onkeypress="loadscript.keyPressSearch(event, this);" />
+				<button style="position:absolute; top:5px; left:305px;" onclick="loadscript.searchUser()"><img src="{$path}templates/default/images/users.png"/></button>
 			</div>
 